#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  brotli-1.0.9

- Next

  dbus-glib-0.110

- Up
- Home

# CLucene-2.3.3.4

## Introduction to CLucene

CLucene is a C++ version of Lucene, a high performance text search engine.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/clucene/clucene-core-2.3.3.4.tar.gz

- Download MD5 sum: 48d647fbd8ef8889e5a7f422c1bfda94

- Download size: 2.2 MB

- Estimated disk space required: 78 MB

- Estimated build time: 0.8 SBU

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/clucene-2.3.3.4-contribs_lib-1.patch

### CLucene Dependencies

#### Required

CMake-3.19.5

#### Recommended

Boost-1.75.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/clucene

## Installation of CLucene

Install CLucene by running the following commands:

    patch -Np1 -i ../clucene-2.3.3.4-contribs_lib-1.patch &&

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_CONTRIBS_LIB=ON .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_CONTRIBS_LIB=ON`: This cmake variable enables building the CLucene contribs library necessary for running applications that use language specific text analyzers like LibreOffice for example.

## Contents

Installed Programs: None
Installed Libraries: libclucene-contribs-lib.so, libclucene-core.so, and libclucene-shared.so
Installed Directories: /usr/include/CLucene and /usr/lib/CLuceneConfig.cmake

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  brotli-1.0.9

- Next

  dbus-glib-0.110

- Up
- Home